<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Miscellaneous Utility Functions: Exo Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Exo Reference Manual">
<link rel="up" href="exo-miscelleanous.html" title="Part VII. Miscelleanous">
<link rel="prev" href="exo-String-Utility-Functions.html" title="String Utility Functions">
<link rel="next" href="ExoXsessionClient.html" title="ExoXsessionClient">
<meta name="generator" content="GTK-Doc V1.24 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#exo-Miscellaneous-Utility-Functions.description" class="shortcut">Description</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="exo-miscelleanous.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="exo-String-Utility-Functions.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="ExoXsessionClient.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="exo-Miscellaneous-Utility-Functions"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="exo-Miscellaneous-Utility-Functions.top_of_page"></a>Miscellaneous Utility Functions</span></h2>
<p>Miscellaneous Utility Functions — Various utility functions</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="exo-Miscellaneous-Utility-Functions.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="exo-Miscellaneous-Utility-Functions.html#exo-noop" title="exo_noop ()">exo_noop</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
</td>
<td class="function_name">
<a class="link" href="exo-Miscellaneous-Utility-Functions.html#exo-noop-one" title="exo_noop_one ()">exo_noop_one</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
</td>
<td class="function_name">
<a class="link" href="exo-Miscellaneous-Utility-Functions.html#exo-noop-zero" title="exo_noop_zero ()">exo_noop_zero</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gpointer"><span class="returnvalue">gpointer</span></a>
</td>
<td class="function_name">
<a class="link" href="exo-Miscellaneous-Utility-Functions.html#exo-noop-null" title="exo_noop_null ()">exo_noop_null</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="exo-Miscellaneous-Utility-Functions.html#exo-noop-true" title="exo_noop_true ()">exo_noop_true</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="exo-Miscellaneous-Utility-Functions.html#exo-noop-false" title="exo_noop_false ()">exo_noop_false</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="exo-Miscellaneous-Utility-Functions.html#exo-atomic-inc" title="exo_atomic_inc ()">exo_atomic_inc</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="exo-Miscellaneous-Utility-Functions.html#exo-atomic-dec" title="exo_atomic_dec ()">exo_atomic_dec</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="exo-Miscellaneous-Utility-Functions.includes"></a><h2>Includes</h2>
<pre class="synopsis">#include &lt;exo/exo.h&gt;
</pre>
</div>
<div class="refsect1">
<a name="exo-Miscellaneous-Utility-Functions.description"></a><h2>Description</h2>
<p>This module contains various utility functions that extend the basic
utility functions provided by the <a class="ulink" href="http://library.gnome.org/devel/glib/stable/" target="_top">GLib</a> library.</p>
</div>
<div class="refsect1">
<a name="exo-Miscellaneous-Utility-Functions.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="exo-noop"></a><h3>exo_noop ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_noop (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>This function has no effect. It does nothing but
returning instantly. It is mostly useful in
situations that require a function to be called,
but that function does not need to do anything
useful.</p>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-noop-one"></a><h3>exo_noop_one ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
exo_noop_one (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>This function has no effect but simply returns
the integer value <code class="literal">1</code>. It is mostly useful in
situations where you just need a function that
returns <code class="literal">1</code>, but don't want to perform any other
actions.</p>
<div class="refsect3">
<a name="id-1.8.6.6.3.5"></a><h4>Returns</h4>
<p> the integer value <code class="literal">1</code>.</p>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-noop-zero"></a><h3>exo_noop_zero ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
exo_noop_zero (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>This function has no effect but simply returns
the integer value <code class="literal">0</code>. It is mostly useful in
situations where you just need a function that
returns <code class="literal">0</code>, but don't want to perform any other
actions.</p>
<div class="refsect3">
<a name="id-1.8.6.6.4.5"></a><h4>Returns</h4>
<p> the integer value <code class="literal">0</code>.</p>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-noop-null"></a><h3>exo_noop_null ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gpointer"><span class="returnvalue">gpointer</span></a>
exo_noop_null (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>This function has no effect but simply returns
a <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> pointer. It is mostly useful in
situations where you just need a function that
returns <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>, but don't want to perform any
other actions.</p>
<div class="refsect3">
<a name="id-1.8.6.6.5.5"></a><h4>Returns</h4>
<p> a <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> pointer.</p>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-noop-true"></a><h3>exo_noop_true ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
exo_noop_true (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>This function has no effect, but simply returns
the boolean value <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>. It is mostly useful in
situations where you just need a function that
returns <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>, but don't want to perform any
other actions.</p>
<div class="refsect3">
<a name="id-1.8.6.6.6.5"></a><h4>Returns</h4>
<p> the boolean value <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>.</p>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-noop-false"></a><h3>exo_noop_false ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
exo_noop_false (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>This function has no effect, but simply returns
the boolean value <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>. It is mostly useful in
situations where you just need a function that
returns <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>, but don't want to perform any
other actions.</p>
<div class="refsect3">
<a name="id-1.8.6.6.7.5"></a><h4>Returns</h4>
<p> the boolean value <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>.</p>
</div>
<p class="since">Since: 0.3.1</p>
</div>
<hr>
<div class="refsect2">
<a name="exo-atomic-inc"></a><h3>exo_atomic_inc ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_atomic_inc (<em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a> *value</code></em>);</pre>
<p>Increments the integer at <em class="parameter"><code>value</code></em>
 by one in an
atomic fashion.  The advantage over using
<a href="https://developer.gnome.org/glib/unstable/glib-Atomic-Operations.html#g-atomic-int-inc"><code class="function">g_atomic_int_inc()</code></a> is that calls to this
function can be inlined.</p>
<p>Since : 0.3.1</p>
<div class="refsect3">
<a name="id-1.8.6.6.8.6"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>value</p></td>
<td class="parameter_description"><p>a pointer to the integer value to increment.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-atomic-dec"></a><h3>exo_atomic_dec ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
exo_atomic_dec (<em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a> *value</code></em>);</pre>
<p>Decrements the integer at <em class="parameter"><code>value</code></em>
 by one in an atomic
fashion and returns <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the <em class="parameter"><code>value</code></em>
 dropped to
zero by this operation, else <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>. The advantage
over using <code class="function">g_atomic_int_dec()</code> is that calls to this
function can be inlined.</p>
<div class="refsect3">
<a name="id-1.8.6.6.9.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>value</p></td>
<td class="parameter_description"><p>a pointer to the integer value to decrement.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.8.6.6.9.6"></a><h4>Returns</h4>
<p> <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if <em class="parameter"><code>value</code></em>
dropped to zero, else <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>.</p>
<p>Since : 0.3.1</p>
</div>
</div>
</div>
<div class="refsect1">
<a name="exo-Miscellaneous-Utility-Functions.other_details"></a><h2>Types and Values</h2>
</div>
<div class="refsect1">
<a name="exo-Miscellaneous-Utility-Functions.see-also"></a><h2>See Also</h2>
<a class="ulink" href="http://library.gnome.org/devel/glib/stable/glib-Atomic-Operations.html" target="_top">
           GLib Atomic Operations</a>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.24</div>
</body>
</html>